Bug 1661514 - sg_mode create is not enforced without namespace handler or svc of ClusterIP type
Summary: sg_mode create is not enforced without namespace handler or svc of ClusterIP ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-kuryr-kubernetes
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Luis Tomas Bolivar
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 12:35 UTC by Luis Tomas Bolivar
Modified: 2019-09-26 10:47 UTC (History)
1 user (show)

Fixed In Version: openstack-kuryr-kubernetes-0.6.2-0.20190305141049.a019712.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1809451 None None None 2018-12-21 12:35:48 UTC
OpenStack gerrit 626887 None None None 2018-12-21 12:35:48 UTC
Red Hat Product Errata RHEA-2019:2811 None None None 2019-09-21 11:20:11 UTC

Description Luis Tomas Bolivar 2018-12-21 12:35:49 UTC
When loadbalancer are not of type ClusterIP or namespace handler is not enabled, the sg_mode create will not be enforce and no security group will be created for the LoadBalancer.


In addition, this is needed to support NetworkPolicies for services when using the ovn octavia provider driver

Comment 8 errata-xmlrpc 2019-09-21 11:19:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.